Application: gvSIG desktop - gvSIG bugs #3139
La herramienta de "pan" no funciona correctamente.
01/25/2015 11:30 AM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version: 2.1.0-2266

Severity: Critical Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2265 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al seleccionar la herramienta de "pan" y desplazar la imagen con el raton, no se redibuja correctamente el mapa.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3127: Clicking on the mo... Closed 01/22/2015

Associated revisions

Revision 41972 - 01/25/2015 11:31 AM - Joaquin del Cerro Murciano

refs #3139, corregido el dibujado de la herramienta de pan.

Revision 41974 - 01/25/2015 12:09 PM - Joaquin del Cerro Murciano

refs #3127, refs #3139, modificado el painComponent del MoveBehavior para que no se ejecute si no se estaba pilsando el boton asociado al
behavior (hacia que no se pintasen las lineas de contruccion de por ejemplo la herramienta de seleccion por rectangulo).

Revision 41975 - 01/25/2015 04:13 PM - Joaquin del Cerro Murciano

refs #3127, refs #3139, modificados el PolygonBehavior y el PolylineBehavior para que pinte correctamente las lineas de construccion (afectaba a

herramientas como medidas de areas o seleccion por poligono)

Revision 41976 - 01/25/2015 05:01 PM - Joaquin del Cerro Murciano

refs #3127, refs #3139

Revision 41977 - 01/25/2015 05:23 PM - Joaquin del Cerro Murciano

refs #3127, refs #3139 Modificado el CircleBehavior para que tenga en cuenta el boton del rato que se ha pulsado.

History

#1 - 01/25/2015 11:30 AM - Joaquin del Cerro Murciano
- Related to gvSIG bugs #3127: Clicking on the mouse scroll the active tool is executed added

#2 - 01/25/2015 11:33 AM - Joaquin del Cerro Murciano
- Status changed from New to Fixed
Joaquin del Cerro Murciano wrote:

Al seleccionar la herramienta de "pan" y desplazar la imagen con el raton, no se redibuja correctamente el mapa.

#3 - 01/26/2015 09:40 AM - Alvaro Anguix
- Status changed from Fixed to Closed
